Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface LogMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, LogFileMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface LogMBean
extends LogFileMBean

Configures the threshold severity level and filter settings for logging output.

Specifies whether the server logging is based on a Log4j implementation or the default Java Logging APIs.

Redirects the JVM stdout and stderr output to the registered log destinations.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `STDOUT_NOID` Format of messages logged to the console in WLS 6.
`static String` | `STDOUT_STANDARD` Default format of messages logged to the console

Fields inherited from interface weblogic.management.configuration.LogFileMBean
`DEFAULT_FILE_NAME, MAX_ROTATED_FILES, NONE, SIZE, TIME, TIME_FORMAT`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getDomainLogBroadcasterBufferSize()` Broadcasts log messages to the domain log in batch mode.
`weblogic.management.configuration.LogFilterMBean` | `getDomainLogBroadcastFilter()` The filter configuration for log events being sent to the domain log.
`String` | `getDomainLogBroadcastSeverity()` The minimum severity of log messages going to the domain log from this server's log broadcaster.
`weblogic.management.configuration.LogFilterMBean` | `getLogFileFilter()` The filter configuration for the server log file.
`String` | `getLogFileSeverity()` The minimum severity of log messages going to the server log file.
`weblogic.management.configuration.LogFilterMBean` | `getMemoryBufferFilter()` The filter configuration for messages that are stored in the log memory buffer.
`String` | `getMemoryBufferSeverity()` The minimum severity of log messages going to the memory buffer of recent log events.
`int` | `getMemoryBufferSize()` The size of the memory buffer that holds the last n log records.
`weblogic.management.configuration.LogFilterMBean` | `getStdoutFilter()` The filter configuration for log events being sent to the standard out.
`String` | `getStdoutFormat()` The output format to use when logging to the console.
`String` | `getStdoutSeverity()` The minimum severity of log messages going to the standard out.
`boolean` | `isLog4jLoggingEnabled()` Specifies whether the server logging is based on a Log4j implementation.
`boolean` | `isRedirectStderrToServerLogEnabled()` When enabled, this redirects the stderr of the JVM in which a WebLogic Server instance runs, to the WebLogic Logging system.
`boolean` | `isRedirectStdoutToServerLogEnabled()` When enabled, this redirects the stdout of the JVM in which a WebLogic Server instance runs, to the WebLogic logging system.
`boolean` | `isStdoutLogStack()` Specifies whether to dump stack traces to the console when included in logged message.
`void` | `setDomainLogBroadcasterBufferSize(int bufferSize)` Sets the size of the log message buffer for broadcasting to the domain log.
`void` | `setDomainLogBroadcastFilter(weblogic.management.configuration.LogFilterMBean filter)` Sets the filtering criteria for log events going to the domain log.
`void` | `setDomainLogBroadcastSeverity(String severity)`
`void` | `setLog4jLoggingEnabled(boolean enableLog4j)` Sets the value of the Log4jLoggingEnabled attribute.
`void` | `setLogFileFilter(weblogic.management.configuration.LogFilterMBean filter)` Sets the value of the LogFileFilter attribute.
`void` | `setLogFileSeverity(String severity)`
`void` | `setMemoryBufferFilter(weblogic.management.configuration.LogFilterMBean filter)`
`void` | `setMemoryBufferSeverity(String severity)`
`void` | `setMemoryBufferSize(int size)`
`void` | `setRedirectStderrToServerLogEnabled(boolean captureStderr)`
`void` | `setRedirectStdoutToServerLogEnabled(boolean captureStdout)`
`void` | `setStdoutFilter(weblogic.management.configuration.LogFilterMBean filter)` Sets the value of the StdoutFilter attribute.
`void` | `setStdoutFormat(String format)` Sets the value of the StdoutFormat attribute.
`void` | `setStdoutLogStack(boolean stack)` Sets the value of the StdoutLogStack attribute.
`void` | `setStdoutSeverity(String severity)`

Methods inherited from interface weblogic.management.configuration.LogFileMBean
`getFileCount, getFileMinSize, getFileName, getFileTimeSpan, getLogFileRotationDir, getRotateLogOnStartup, getRotationTime, getRotationType, isNumberOfFilesLimited, setFileCount, setFileMinSize, setFileName, setFileTimeSpan, setFileTimeSpanFactor, setLogFileRotationDir, setNumberOfFilesLimited, setRotateLogOnStartup, setRotationTime, setRotationType`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### STDOUT_NOID

    public static final String STDOUT_NOID

  Format of messages logged to the console in WLS 6. Does not include message id in output.

  See Also:
    Constant Field Values

### STDOUT_STANDARD

    public static final String STDOUT_STANDARD

  Default format of messages logged to the console

  See Also:
    Constant Field Values

Method Detail

### getDomainLogBroadcasterBufferSize

    public int getDomainLogBroadcasterBufferSize()

  Broadcasts log messages to the domain log in batch mode.

  The size of the buffer for log messages that are sent to the domain log. The buffer is maintained on the Managed Server and gets broadcasted to the domain log when it gets full.

  Returns:
  Since:
    9.0.0.0
  Default value:
    1
  Minimum value:
    1
  Maximum value:
    100
  A dynamic MBean attribute.
  Production mode default value:
    10

### getDomainLogBroadcastFilter

    public weblogic.management.configuration.LogFilterMBean getDomainLogBroadcastFilter()

  The filter configuration for log events being sent to the domain log.

  Returns:
    The LogFilterMBean configuration for broadcast to the domain log.
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getDomainLogBroadcastSeverity

    public String getDomainLogBroadcastSeverity()

  The minimum severity of log messages going to the domain log from this server's log broadcaster. Messages with a lower severity than the specified value will not be published to the domain log.

  Since:
    9.0.0.0
  Default value:
    weblogic.logging.Severities.NOTICE_TEXT
  Legal values:
    weblogic.logging.Severities.DEBUG_TEXT, weblogic.logging.Severities.INFO_TEXT, weblogic.logging.Severities.WARNING_TEXT, weblogic.logging.Severities.ERROR_TEXT, weblogic.logging.Severities.NOTICE_TEXT, weblogic.logging.Severities.CRITICAL_TEXT, weblogic.logging.Severities.ALERT_TEXT, weblogic.logging.Severities.EMERGENCY_TEXT, weblogic.logging.Severities.OFF_TEXT
  A dynamic MBean attribute.

### getLogFileFilter

    public weblogic.management.configuration.LogFilterMBean getLogFileFilter()

  The filter configuration for the server log file.

  A filter configuration defines simple filtering rules to limit the volume of log messages written to the log file.

  Returns:
    The LogFilterMBean configuration for the log file.
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getLogFileSeverity

    public String getLogFileSeverity()

  The minimum severity of log messages going to the server log file. By default all messages go to the log file. Only messages of severity DEBUG and INFO can be stopped from going to the log file by setting the severity level.

  Since:
    9.0.0.0
  See Also:
    Constant values for weblogic.logging Severities
  Default value:
    weblogic.logging.Severities.DEBUG_TEXT
  Legal values:
    weblogic.logging.Severities.DEBUG_TEXT, weblogic.logging.Severities.INFO_TEXT, weblogic.logging.Severities.WARNING_TEXT
  A dynamic MBean attribute.

### getMemoryBufferFilter

    public weblogic.management.configuration.LogFilterMBean getMemoryBufferFilter()

  The filter configuration for messages that are stored in the log memory buffer. By default, all log messages are cached.

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getMemoryBufferSeverity

    public String getMemoryBufferSeverity()

  The minimum severity of log messages going to the memory buffer of recent log events. Messages with a lower severity than the specified value will not be cached in the buffer.

  Since:
    9.0.0.0
  Default value:
    weblogic.logging.Severities.DEBUG_TEXT
  Legal values:
    weblogic.logging.Severities.DEBUG_TEXT, weblogic.logging.Severities.INFO_TEXT, weblogic.logging.Severities.WARNING_TEXT, weblogic.logging.Severities.ERROR_TEXT, weblogic.logging.Severities.NOTICE_TEXT, weblogic.logging.Severities.CRITICAL_TEXT, weblogic.logging.Severities.ALERT_TEXT, weblogic.logging.Severities.EMERGENCY_TEXT, weblogic.logging.Severities.OFF_TEXT
  A dynamic MBean attribute.

### getMemoryBufferSize

    public int getMemoryBufferSize()

  The size of the memory buffer that holds the last n log records. This is used to support viewing the most recent log record entries (tail viewing) from the WebLogic Administration Console.

  Since:
    9.0.0.0
  Default value:
    LogMBean.DEFAULT_MEMORY_BUFFER_SIZE
  Minimum value:
    100
  Maximum value:
    5000
  A dynamic MBean attribute.

### getStdoutFilter

    public weblogic.management.configuration.LogFilterMBean getStdoutFilter()

  The filter configuration for log events being sent to the standard out.

  Returns:
    The LogFilterMBean configuration for stdout.
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getStdoutFormat

    public String getStdoutFormat()

  The output format to use when logging to the console.

  Returns:
    The stdoutFormat value
  Since:
    9.0.0.0
  Default value:
    LogMBean.STDOUT_STANDARD
  Legal values:
    LogMBean.STDOUT_STANDARD,LogMBean.STDOUT_NOID
  A dynamic MBean attribute.
    false

### getStdoutSeverity

    public String getStdoutSeverity()

  The minimum severity of log messages going to the standard out. Messages with a lower severity than the specified value will not be published to standard out.

  Since:
    9.0.0.0
  Default value:
    weblogic.logging.Severities.NOTICE_TEXT
  Legal values:
    weblogic.logging.Severities.TRACE_TEXT, weblogic.logging.Severities.DEBUG_TEXT, weblogic.logging.Severities.INFO_TEXT, weblogic.logging.Severities.WARNING_TEXT, weblogic.logging.Severities.ERROR_TEXT, weblogic.logging.Severities.NOTICE_TEXT, weblogic.logging.Severities.CRITICAL_TEXT, weblogic.logging.Severities.ALERT_TEXT, weblogic.logging.Severities.EMERGENCY_TEXT, weblogic.logging.Severities.OFF_TEXT
  A dynamic MBean attribute.

### isLog4jLoggingEnabled

    public boolean isLog4jLoggingEnabled()

  Specifies whether the server logging is based on a Log4j implementation. By default, WebLogic logging uses an implementation based on the Java Logging APIs which are part of the JDK.

  Applications that use the WebLogic Message Catalog framework or the NonCatalogLogger will not be affected by the underlying Logging implementation.

  Since:
    9.0.0.0
  Default value:
    false
  A dynamic MBean attribute.
    false

### isRedirectStderrToServerLogEnabled

    public boolean isRedirectStderrToServerLogEnabled()

  When enabled, this redirects the stderr of the JVM in which a WebLogic Server instance runs, to the WebLogic Logging system. The stderr content is published to all the registered log destinations, like the server terminal console and log file.

  Since:
    9.0.0.0
  A dynamic MBean attribute.
    false

### isRedirectStdoutToServerLogEnabled

    public boolean isRedirectStdoutToServerLogEnabled()

  When enabled, this redirects the stdout of the JVM in which a WebLogic Server instance runs, to the WebLogic logging system. The stdout content is published to all the registered log destinations, like the server terminal console and log file.

  Since:
    9.0.0.0
  A dynamic MBean attribute.
    false

### isStdoutLogStack

    public boolean isStdoutLogStack()

  Specifies whether to dump stack traces to the console when included in logged message.

  Returns:
    The stdoutLogStack value
  Since:
    9.0.0.0
  Default value:
    true
  A dynamic MBean attribute.

### setDomainLogBroadcasterBufferSize

    public void setDomainLogBroadcasterBufferSize(int bufferSize)

  Sets the size of the log message buffer for broadcasting to the domain log.

  Parameters:
    `bufferSize` -

### setDomainLogBroadcastFilter

    public void setDomainLogBroadcastFilter(weblogic.management.configuration.LogFilterMBean filter)

  Sets the filtering criteria for log events going to the domain log.

  Parameters:
    `filter` - The filter configuration for filtering messages being broadcast to the domain log.

### setDomainLogBroadcastSeverity

    public void setDomainLogBroadcastSeverity(String severity)

### setLog4jLoggingEnabled

    public void setLog4jLoggingEnabled(boolean enableLog4j)

  Sets the value of the Log4jLoggingEnabled attribute.

  See Also:
    `isLog4jLoggingEnabled()`

### setLogFileFilter

    public void setLogFileFilter(weblogic.management.configuration.LogFilterMBean filter)

  Sets the value of the LogFileFilter attribute.

  Parameters:
    `filter` - The filter configuration for filtering messages being written to the log file.
  See Also:
    `getLogFileFilter()`

### setLogFileSeverity

    public void setLogFileSeverity(String severity)

### setMemoryBufferFilter

    public void setMemoryBufferFilter(weblogic.management.configuration.LogFilterMBean filter)

### setMemoryBufferSeverity

    public void setMemoryBufferSeverity(String severity)

### setMemoryBufferSize

    public void setMemoryBufferSize(int size)

### setRedirectStderrToServerLogEnabled

    public void setRedirectStderrToServerLogEnabled(boolean captureStderr)

### setRedirectStdoutToServerLogEnabled

    public void setRedirectStdoutToServerLogEnabled(boolean captureStdout)

### setStdoutFilter

    public void setStdoutFilter(weblogic.management.configuration.LogFilterMBean filter)

  Sets the value of the StdoutFilter attribute.

  Parameters:
    `filter` - The filter configuration for filtering messages being written to the stdout.
  See Also:
    `getStdoutFilter()`

### setStdoutFormat

    public void setStdoutFormat(String format)

  Sets the value of the StdoutFormat attribute.

  Parameters:
    `format` - The new stdoutFormat value
  See Also:
    `getStdoutFormat()`

### setStdoutLogStack

    public void setStdoutLogStack(boolean stack)

  Sets the value of the StdoutLogStack attribute.

  Parameters:
    `stack` - The new stdoutLogStack value
  See Also:
    `#getStdoutLogStack`
  A dynamic MBean attribute.

### setStdoutSeverity

    public void setStdoutSeverity(String severity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD